autopodbor/urls.py
from django.conf.urls import url, include, handler403, handler404, handler500
from django.contrib import admin
from django.conf.urls.static import static, serve
from django.conf import settings
from django.views.generic import TemplateView
from lk.views import permission_denied, error404
from core.views import OsagoView, AutoHelpView, ServiceHelpView, CarCheckView, NewOrderEmailView, WriteToTheHead, admin_view
from autopodbor import utils
import environ

admin.site.admin_view = admin_view


env = environ.Env()

handler403 = permission_denied
handler404 = error404

urlpatterns = [
    url(r'^', include('lk.urls')),
    url(r'^admin/', include('custom_admin.urls', namespace="custom_admin")),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^accounts/', include('allauth.urls')),

    # aggregator/client_app
    url(r'^aggregator_api/', include('aggregator.urls')),
    url(r'^client_app_api/', include('client_app.urls')),
    url('api-auth/', include('rest_framework.urls', namespace='rest_framework')),

    url(r'^auto/', include('auto.urls')),
    url(r'^user/', include('core.urls')),
    url(r'^report/', include('report.urls')),
    url(r'^google_photo/', include('google_photo.urls')),
    url(r'^stat/', include('statistika.urls')),
    url(r'^notifications/', include('notifications.urls')),
    url(r'^message/', include('message.urls')),
    url(r'^developers/', TemplateView.as_view(template_name='developers.html')),
    url(r'^api/', include("integration.urls")),
    url(r'^osago/$', OsagoView.as_view(), name='osago'),
    url(r'^autohelp/$', AutoHelpView.as_view(), name='autohelp'),
    url(r'^servicehelp/$', ServiceHelpView.as_view(), name='servicehelp'),
    url(r'^carcheck/$', CarCheckView.as_view(), name='carcheck'),
    url(r'^new_order/$', NewOrderEmailView.as_view(), name='new_order'),
    url(r'^write_to_the_head/$', WriteToTheHead.as_view(), name='writetothehead'),
    url(r'^fail-payment/$',
        TemplateView.as_view(template_name='fail.html'), name='payment_fail'),
    url(r'^success-payment/$',
        TemplateView.as_view(template_name='success.html'), name='payment_success'),
    url(r'^media/(?P<path>.*)$', utils.serve, {'document_root': settings.MEDIA_ROOT}),
]
# ] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if env('DOCKER', default=False):
    urlpatterns += url(r'^static/(?P<path>.*)$', serve,
                       {'document_root': settings.STATIC_ROOT}),

core/urls.py
from django.conf.urls import url
from .views import *
from .api.views import ApiUserDetail, ApiUserDetailActivity, ApiFilialDetail, ApiFilialUserList, \
    ApiFilialDetailActivity, send_message_to_email, global_search, transfertoissue, send_new_order_to_email, \
    change_user_avatar_by_mobile_app, ApiReviewsByUserList
from report.api.views import ApiReportByUserList, ApiReportByFilialList
from order.api.views import send_order_to_recheck


app_name = 'user'

urlpatterns = [
    url(r'^review_create/$', review_create, name='review_create'),
    url(r'^signup/$', SignupNewUser.as_view(), name='signup'),
    url(r'^error403/$', error403, name='error403'),
    url(r'^logout/$', auth_logout, name='logout'),
    url(r'^edit_self/$', UserUpdateSelfView.as_view(), name='edit_self'),
    url(r'^new_user/$', UserCreateView.as_view(), name='new_user'),
    url(r'^edit_user/(?P<user_id>\d+)/$',
        UserUpdateView.as_view(), name='edit_user'),
    url(r'^user-list/$', UserList.as_view(), name='user_list'),
    url(r'^filter/$', get_user_filter, name='user_filter'),
    url(r'^delete/(?P<user_id>\d+)/$', delete_user, name='delete_user'),
    url(r'^user_detail/(?P<user_id>\d+)/$',
        UserDetailView.as_view(), name='user_detail'),
    url(r'^update_employee_email_sender/$',
            update_employee_email_sender, name='update_employee_email_sender'),


    url(r'^reset-password/$', ResetPassword.as_view(), name='reset_password'),

    # user api
    url(r'^api/detail/(?P<pk>\d+)/$',
        ApiUserDetail.as_view(), name='user_detail_api'),
    url(r'^api/user_logs/(?P<pk>\d+)/$', ApiUserDetailActivity.as_view(),
        name='user_detail_api_activity'),
    url(r'^api/report_list/(?P<pk>\d+)/$',
        ApiReportByUserList.as_view(), name='user_reports'),
    url(r'^change_image/$', change_image, name='change_image'),
    url(r'^api/message/$', send_message_to_email, name='send_message_to_email'),
    url(r'^api/new-order-to-email/$',
        send_new_order_to_email, name='new-order-to-email'),

    url(r'^api/send_order_to_recheck/$',
        send_order_to_recheck, name='send_order_to_recheck'),

    # filial
    url(r'^filial_list/$', FilialList.as_view(), name='filial_list'),
    url(r'^filial-detail/(?P<filial_id>\d+)/$',
        FilialDetailView.as_view(), name='filial_detail'),
    url(r'^filial-edit/(?P<filial_id>\d+)/$',
        FilialUpdateView.as_view(), name='filial_edit'),
    url(r'^filial_add/$', FilialCreateView.as_view(), name='filial_add'),
    url(r'^delete-filial/(?P<filial_id>\d+)/$',
        delete_filial, name='delete_filial'),
    # filial api
    url(r'^api/filial_detail/(?P<pk>\d+)/$',
        ApiFilialDetail.as_view(), name='filial_detail_api'),
    url(r'^api/report_list_filial/(?P<pk>\d+)/$',
        ApiReportByFilialList.as_view(), name='filial_reports_api'),
    url(r'^api/user_list_filial/(?P<pk>\d+)/$',
        ApiFilialUserList.as_view(), name='filial_reports_api'),
    url(r'^api/filial_logs/(?P<pk>\d+)/$',
        ApiFilialDetailActivity.as_view(), name='filial_detail_api_activity'),
    url(r'^api/reviews_list/(?P<pk>\d+)/$',
        ApiReviewsByUserList.as_view(), name='user_reviews'),
    url(r'^user-reviews-list/$', UserReviewsList.as_view(), name='user_reviews_list'),
    url(r'^user-reviews/filter/$', get_review_filter, name='get_review_filter'),

    # search api
    url(r'^api/search/$', global_search, name='global_search_api'),

    url(r'^update_expert_crm/$', update_expert_crm, name='update_expert_crm'),

    # transfertoissue telebot
    url(r'^api/transfertoissue/$', transfertoissue, name='transfertoissue'),

    # change and delete user avatar from mobile app
    url(r'^change-user-avatar-by-mobile-app/$', change_user_avatar_by_mobile_app,
        name='change_user_avatar_by_mobile_app'),

]

lk/urls.py
from django.conf.urls import url, include
from .views import *
from order.views import *
from core.api.views import order_to_issue

app_name = 'lk'

urlpatterns = [
    url(r'^$', lk, name='home'),
    url(r'^order/', include('order.urls')),
    url(r'^order/list_search/$', OrderListView.as_view(), name='list_search'),
    url(r'^order/list/$', OrderListSelectKeyView.as_view(), name='order_list'),
    url(r'^order/order_list_selection/$', OrderListSelectKeyView.as_view(), name='order_list_selection'),
    url(r'^order/order_list_outside_diagnose/$', OrderListOutsideDiagnose.as_view(), name='order_list_outside_diagnose'),
    url(r'^order/order_list_expert_day/$', OrderListExpertDayView.as_view(), name='order_list_expert_day'),
    url(r'^order/order_list_other/$', OrderListOtherView.as_view(), name='order_list_other'),
    url(r'^order/order_list_in_work/$', OrderListInWorkView.as_view(), name='order_list_in_work'),
    url(r'^order/order_list_closed/$', OrderListClosedView.as_view(), name='order_list_closed'),
    url(r'^order/detail/(?P<order_id>\d+)/$', OrderDetailView.as_view(), name='order_detail'),
    url(r'^order/edit/(?P<order_id>\d+)/$', OrderUpdateView.as_view(), name='order_edit'),
    url(r'^order/add/$', OrderCreateView.as_view(), name='order_add'),
    url(r'^order/delete/(?P<order_id>\d+)/$', order_delete, name='order_delete'),
    url(r'^order/close/(?P<order_id>\d+)/$', order_close, name='order_close'),
    url(r'^order/filter/$', get_order_filter, name='get_order_filter'),
    url(r'^order/stats/(?P<order_id>\d+)/$', get_order_stats, name='get_order_stats'),
    url(r'^order/podbor_list/(?P<order_id>\d+)/$', PPKListView.as_view(), name='ppk_list'),
    # url(r'^order/cars/(?P<order_id>\d+)/$', OrderAutoListView.as_view(), name='auto_list'),
    url(r'^order/report-list/(?P<order_id>\d+)/$', ReportListView.as_view(), name='report_list'),
    # url(r'^order/log/(?P<order_id>\d+)/$', LogListView.as_view(), name='order_log'),
    url(r'^order/add-comment/(?P<order_id>\d+)/$', add_comment, name='add_comment'),
    url(r'^order/add-auto/(?P<order_id>\d+)/$', order_set_auto, name='order_auto_add'),
    url(r'^order/add-auto-from-auto-ru/(?P<order_id>\d+)/$', add_auto_from_auto_ru, name='add_auto_from_auto_ru'),
    url(r'^order/cars-for-order/(?P<order_id>\d+)/$', CarsForOrder.as_view(), name='cars_for_order'),
    url(r'^order/delete-auto/(?P<order_id>\d+)/(?P<auto_id>\d+)/$', order_auto_delete, name='order_auto_delete'),
    url(r'^order/report-remove-order/(?P<report_id>\d+)/(?P<order_id>\d+)/$', report_remove_order, name='report_remove_order'),
    url(r'^order/change_auto_from/(?P<order_id>\d+)/$', change_auto_from, name='change_auto_from'),
    url(r'^podbor-add/(?P<order_id>\d+)/$', PpkCreateView.as_view(), name='podbor_add'),
    url(r'^podbor-copy/(?P<order_id>\d+)/(?P<ppk_id>\d+)/$', PpkCopyView.as_view(), name='podbor_copy'),
    url(r'^podbor-edit/(?P<ppk_id>\d+)/$', PpkEditView.as_view(), name='podbor_edit'),
    url(r'^podbor-delete/(?P<ppk_id>\d+)/$', podbor_delete, name='podbor_delete'),
    url(r'^search/$', GlobalSearch.as_view(), name='global_search'),
    url(r'^to_issue/$', order_to_issue, name='order_to_issue')
]

templates/autohelp/autohelp.html
{% extends 'index.html' %} {% load static %} {% block script-nocompress %} {{ block.super }}
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.0.39/jquery.fancybox.js"></script>
{% endblock %} {% block header-css-nocompress %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.0.39/jquery.fancybox.min.css" /> {% endblock %} {% block page %}


<div class="section section_default client-support-page" id="client-support-page">
    <div class="section__content">
        <div class="section__header header header_listing">
            <div class="header__main  ">
                <h1>Помощь автоюриста</h1>
            </div>
        </div>

        <div class="section__body">
            <div class="client-support-page__body">
                <!-- <div class="client-support-page__side big">
                    <div class="client-support-page__text">
                        {{AutoHelp}}
                    </div>
                </div> -->
                <div class="client-support-page__side small">
                    <form action="{% url 'user:send_message_to_email' %}" @submit.prevent="validateBeforeSubmit" method="post">
                        <input type="hidden" name="form" value="autohelp">
                        <div class="form__item form-group form-group_default">
                            <div class="form-group__header ta_center">
                                <h3>Оставьте заявку</h3>
                                <br/>
                                <p>И получите бесплатную консультацию</p>
                            </div>
                            <div class="form-group__body">
                                <div class="fieldset fieldset_grid1">
                                    <div class="fieldset__item field field_filled">
                                        <label class="label label_default label_l">Номер телефона*</label>
                                        <div class="control control_default control_m">
                                            <input name="tel" type="text" v-validate="'required'" class="phone_mask validateVin" value="{{phone}}" placeholder="+7 (ХХХ) ХХХ ХХ ХХ" data-mask="+7 (000) 000 00 00" />
                                            <div v-show="errors.has('tel')" v-cloak class="msg msg_field msg_fail">Номер телефона обязателен для заполнения.</div>
                                        </div>
                                    </div>
                                    <div class="fieldset__item field field_filled">
                                        <label class="label label_default label_l">Опишите ситуацию</label>
                                        <div class="control control_default control_m">
                                            <textarea name="text" type="text" placeholder="С какой проблемой столкнулись?" rows="5"></textarea>
                                        </div>
                                    </div>
                                    <div class="fieldset__item">
                                        <button class="btn btn_m btn_primary btn_block">
                                            <div class="btn__grid">
                                                <div class="btn__title">Оставить заявку</div>
                                            </div>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    {% include 'client/popups.html' %}
</div>


{% endblock %} {% block script %} {{ block.super }} {% block js-bundle %}
<script src="{% static 'js/userclient.bundle.js' %}"></script>
{% endblock %} {% endblock %}